"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var TNSDOMMatrix_1 = require("./TNSDOMMatrix");
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var TNSCanvasRenderingContext2D_1 = require("./TNSCanvasRenderingContext2D");
var TNSWebGLRenderingContext_1 = require("./TNSWebGLRenderingContext");
var TNSWebGL2RenderingContext_1 = require("./TNSWebGL2RenderingContext");
function createSVGMatrix() {
    return new TNSDOMMatrix_1.TNSDOMMatrix(com.github.triniwiz.canvas.CanvasView.createSVGMatrix());
}
exports.createSVGMatrix = createSVGMatrix;
__export(require("./canvas-plugin.common"));
var TNSCanvas = (function (_super) {
    __extends(TNSCanvas, _super);
    function TNSCanvas() {
        var _this = _super.call(this) || this;
        _this._didPause = false;
        return _this;
    }
    TNSCanvas.prototype.createNativeView = function () {
        this.canvas = new com.github.triniwiz.canvas.CanvasView(this._context, null);
        return this.canvas;
    };
    Object.defineProperty(TNSCanvas.prototype, "clientWidth", {
        get: function () {
            return this.getMeasuredWidth();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSCanvas.prototype, "clientHeight", {
        get: function () {
            return this.getMeasuredHeight();
        },
        enumerable: true,
        configurable: true
    });
    TNSCanvas.prototype.initNativeView = function () {
        _super.prototype.initNativeView.call(this);
        var ref = new WeakRef(this);
        this.canvas.setListener(new com.github.triniwiz.canvas.CanvasView.Listener({
            contextReady: function () {
                var owner = ref.get();
                if (owner) {
                    owner._readyEvent();
                }
            },
        }));
    };
    TNSCanvas.prototype.onUnloaded = function () {
        this.canvas.onPause();
        this._didPause = true;
        _super.prototype.onUnloaded.call(this);
    };
    TNSCanvas.prototype.onLoaded = function () {
        _super.prototype.onLoaded.call(this);
        if (this._didPause) {
            this.canvas.onResume();
            this._didPause = false;
        }
    };
    TNSCanvas.prototype.flush = function () {
        this.canvas.flush();
    };
    TNSCanvas.prototype.disposeNativeView = function () {
        this.off('touch, pan', this._touchEvents);
        _super.prototype.disposeNativeView.call(this);
    };
    TNSCanvas.prototype.toDataURL = function (type, encoderOptions) {
        if (type === void 0) { type = 'png'; }
        if (encoderOptions === void 0) { encoderOptions = 0.92; }
        return this.nativeView.toDataURL(type, encoderOptions);
    };
    TNSCanvas.prototype.getContext = function (type, options) {
        if (typeof type === 'string') {
            if (type === '2d') {
                if (!this._2dContext) {
                    this._2dContext = new TNSCanvasRenderingContext2D_1.TNSCanvasRenderingContext2D(this.canvas.getContext(type));
                    this._2dContext._canvas = this;
                }
                this._2dContext._type = '2d';
                return this._2dContext;
            }
            else if (type === 'webgl' || type === 'experimental-webgl') {
                if (!this._webglContext) {
                    this._webglContext = new TNSWebGLRenderingContext_1.TNSWebGLRenderingContext(this.canvas.getContext('webgl'));
                    this._webglContext._canvas = this;
                }
                this._webglContext._type = 'webgl';
                return this._webglContext;
            }
            else if (type &&
                (type === 'webgl2' || type === 'experimental-webgl2')) {
                if (!this._webglContext) {
                    this._webglContext = new TNSWebGL2RenderingContext_1.TNSWebGL2RenderingContext(this.nativeView.getContext('webgl2'));
                    this._webglContext._canvas = this;
                }
                this._webglContext._type = 'webgl2';
                return this._webglContext;
            }
        }
        return null;
    };
    TNSCanvas.prototype.getBoundingClientRect = function () {
        var view = this;
        var nativeView = view.android;
        var width = this.getMeasuredWidth();
        var height = this.getMeasuredHeight();
        return {
            bottom: nativeView.getBottom(),
            height: height,
            left: nativeView.getLeft(),
            right: nativeView.getRight(),
            top: nativeView.getTop(),
            width: width,
            x: nativeView.getX(),
            y: nativeView.getY(),
        };
    };
    return TNSCanvas;
}(canvas_plugin_common_1.TNSCanvasBase));
exports.TNSCanvas = TNSCanvas;
//# sourceMappingURL=TNSCanvas.android.js.map