"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var TNSTextDecoder = (function (_super) {
    __extends(TNSTextDecoder, _super);
    function TNSTextDecoder(encoding) {
        if (encoding === void 0) { encoding = 'utf-8'; }
        return _super.call(this, new com.github.triniwiz.canvas.TextDecoder(encoding)) || this;
    }
    Object.defineProperty(TNSTextDecoder.prototype, "encoding", {
        get: function () {
            return this.native.getEncoding();
        },
        enumerable: true,
        configurable: true
    });
    TNSTextDecoder.prototype.decode = function (buffer, options) {
        if (buffer instanceof ArrayBuffer ||
            buffer instanceof Uint8Array ||
            buffer instanceof Int8Array ||
            buffer instanceof Uint16Array ||
            buffer instanceof Int16Array ||
            buffer instanceof Uint32Array ||
            buffer instanceof Int32Array ||
            buffer instanceof Float32Array) {
            if (buffer instanceof Uint8Array || buffer instanceof Int8Array) {
                var nativeBuffer_1 = java.nio.ByteBuffer.wrap(Array.from(buffer));
                return this.native.decode(nativeBuffer_1.array());
            }
            var array = new Uint8Array(buffer);
            var nativeBuffer = java.nio.ByteBuffer.wrap(Array.from(array));
            return this.native.decode(nativeBuffer.array());
        }
        else {
            return '';
        }
    };
    return TNSTextDecoder;
}(canvas_plugin_common_1.TNSTextDecoderBase));
exports.TNSTextDecoder = TNSTextDecoder;
//# sourceMappingURL=TNSTextDecoder.android.js.map