"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var EXT_blend_minmax = (function () {
    function EXT_blend_minmax(nativeInstance) {
        this.MAX_EXT = nativeInstance.MAX_EXT;
        this.MIN_EXT = nativeInstance.MIN_EXT;
    }
    return EXT_blend_minmax;
}());
exports.EXT_blend_minmax = EXT_blend_minmax;
var ANGLE_instanced_arrays = (function () {
    function ANGLE_instanced_arrays(nativeInstance) {
        this.nativeInstance = nativeInstance;
        this.VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE = nativeInstance.VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE;
    }
    ANGLE_instanced_arrays.prototype.drawArraysInstancedANGLE = function (mode, first, count, primcount) {
        this.nativeInstance.drawArraysInstancedANGLEWithModeFirstCountPrimcount(mode, first, count, primcount);
    };
    ANGLE_instanced_arrays.prototype.drawElementsInstancedANGLE = function (mode, count, type, offset, primcount) {
        this.nativeInstance.drawElementsInstancedANGLEWithModeCountTypeOffsetPrimcount(mode, count, type, offset, primcount);
    };
    ANGLE_instanced_arrays.prototype.vertexAttribDivisorANGLE = function (index, divisor) {
        this.nativeInstance.vertexAttribDivisorANGLEWithIndexDivisor(index, divisor);
    };
    return ANGLE_instanced_arrays;
}());
exports.ANGLE_instanced_arrays = ANGLE_instanced_arrays;
var EXT_color_buffer_float = (function () {
    function EXT_color_buffer_float(nativeInstance) {
        this.R11F_G11F_B10F = nativeInstance.R11F_G11F_B10F;
        this.R16F = nativeInstance.R16F;
        this.R32F = nativeInstance.R32F;
        this.RG16F = nativeInstance.RG16F;
        this.RG32F = nativeInstance.RG32F;
        this.RGB16F = nativeInstance.RGB16F;
        this.RGBA32F = nativeInstance.RGBA32F;
    }
    return EXT_color_buffer_float;
}());
exports.EXT_color_buffer_float = EXT_color_buffer_float;
var EXT_color_buffer_half_float = (function () {
    function EXT_color_buffer_half_float(nativeInstance) {
        this.FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT =
            nativeInstance.FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT;
        this.RGB16F_EXT = nativeInstance.RGB16F_EXT;
        this.RGBA16F_EXT = nativeInstance.RGBA16F_EXT;
        this.UNSIGNED_NORMALIZED_EXT = nativeInstance.UNSIGNED_NORMALIZED_EXT;
    }
    return EXT_color_buffer_half_float;
}());
exports.EXT_color_buffer_half_float = EXT_color_buffer_half_float;
var EXT_sRGB = (function () {
    function EXT_sRGB(nativeInstance) {
        this.FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT =
            nativeInstance.FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT;
        this.SRGB8_ALPHA8_EXT = nativeInstance.SRGB8_ALPHA8_EXT;
        this.SRGB_ALPHA_EXT = nativeInstance.SRGB_ALPHA_EXT;
        this.SRGB_EXT = nativeInstance.SRGB_EXT;
    }
    return EXT_sRGB;
}());
exports.EXT_sRGB = EXT_sRGB;
var EXT_shader_texture_lod = (function () {
    function EXT_shader_texture_lod(nativeInstance) {
    }
    return EXT_shader_texture_lod;
}());
exports.EXT_shader_texture_lod = EXT_shader_texture_lod;
var EXT_texture_filter_anisotropic = (function () {
    function EXT_texture_filter_anisotropic(nativeInstance) {
        this.MAX_TEXTURE_MAX_ANISOTROPY_EXT =
            nativeInstance.MAX_TEXTURE_MAX_ANISOTROPY_EXT;
        this.TEXTURE_MAX_ANISOTROPY_EXT = nativeInstance.TEXTURE_MAX_ANISOTROPY_EXT;
    }
    return EXT_texture_filter_anisotropic;
}());
exports.EXT_texture_filter_anisotropic = EXT_texture_filter_anisotropic;
var OES_element_index_uint = (function () {
    function OES_element_index_uint(nativeInstance) {
        this.UNSIGNED_INT = nativeInstance.UNSIGNED_INT;
    }
    return OES_element_index_uint;
}());
exports.OES_element_index_uint = OES_element_index_uint;
var OES_fbo_render_mipmap = (function () {
    function OES_fbo_render_mipmap(nativeInstance) {
    }
    return OES_fbo_render_mipmap;
}());
exports.OES_fbo_render_mipmap = OES_fbo_render_mipmap;
var OES_standard_derivatives = (function () {
    function OES_standard_derivatives(nativeInstance) {
    }
    return OES_standard_derivatives;
}());
exports.OES_standard_derivatives = OES_standard_derivatives;
var OES_texture_float = (function () {
    function OES_texture_float(nativeInstance) {
    }
    return OES_texture_float;
}());
exports.OES_texture_float = OES_texture_float;
var OES_texture_float_linear = (function () {
    function OES_texture_float_linear(nativeInstance) {
    }
    return OES_texture_float_linear;
}());
exports.OES_texture_float_linear = OES_texture_float_linear;
var OES_texture_half_float = (function () {
    function OES_texture_half_float(nativeInstance) {
        this.HALF_FLOAT_OES = nativeInstance.HALF_FLOAT_OES;
    }
    return OES_texture_half_float;
}());
exports.OES_texture_half_float = OES_texture_half_float;
var OES_texture_half_float_linear = (function () {
    function OES_texture_half_float_linear(nativeInstance) {
    }
    return OES_texture_half_float_linear;
}());
exports.OES_texture_half_float_linear = OES_texture_half_float_linear;
var OES_vertex_array_object = (function () {
    function OES_vertex_array_object(nativeInstance) {
        this.nativeInstance = nativeInstance;
        this.VERTEX_ARRAY_BINDING_OES = nativeInstance.VERTEX_ARRAY_BINDING_OES;
    }
    OES_vertex_array_object.prototype.bindVertexArrayOES = function (arrayObject) {
        var value = arrayObject ? arrayObject.native : 0;
        this.nativeInstance.bindVertexArrayOESWithArrayObject(value);
    };
    OES_vertex_array_object.prototype.createVertexArrayOES = function () {
        return new canvas_plugin_common_1.WebGLVertexArrayObject(this.nativeInstance.createVertexArrayOES());
    };
    OES_vertex_array_object.prototype.deleteVertexArrayOESWithArrayObject = function (arrayObject) {
        var value = arrayObject ? arrayObject.native : 0;
        this.nativeInstance.deleteVertexArrayOESWithArrayObject(value);
    };
    OES_vertex_array_object.prototype.isVertexArrayOESWithArrayObject = function (arrayObject) {
        var value = arrayObject ? arrayObject.native : 0;
        return this.nativeInstance.isVertexArrayOESWithArrayObject(value);
    };
    return OES_vertex_array_object;
}());
exports.OES_vertex_array_object = OES_vertex_array_object;
var WEBGL_color_buffer_float = (function () {
    function WEBGL_color_buffer_float(nativeInstance) {
        this.FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT =
            nativeInstance.FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT;
        this.RGB32F_EXT = nativeInstance.RGB32F_EXT;
        this.RGBA32F_EXT = nativeInstance.RGBA32F_EXT;
        this.UNSIGNED_NORMALIZED_EXT = nativeInstance.UNSIGNED_NORMALIZED_EXT;
    }
    return WEBGL_color_buffer_float;
}());
exports.WEBGL_color_buffer_float = WEBGL_color_buffer_float;
var WEBGL_compressed_texture_etc = (function () {
    function WEBGL_compressed_texture_etc(nativeInstance) {
        this.COMPRESSED_R11_EAC = nativeInstance.COMPRESSED_R11_EAC;
        this.COMPRESSED_RG11_EAC = nativeInstance.COMPRESSED_RG11_EAC;
        this.COMPRESSED_RGB8_ETC2 = nativeInstance.COMPRESSED_RGB8_ETC2;
        this.COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2 =
            nativeInstance.COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2;
        this.COMPRESSED_RGBA8_ETC2_EAC = nativeInstance.COMPRESSED_RGBA8_ETC2_EAC;
        this.COMPRESSED_SIGNED_R11_EAC = nativeInstance.COMPRESSED_SIGNED_R11_EAC;
        this.COMPRESSED_SIGNED_RG11_EAC = nativeInstance.COMPRESSED_SIGNED_RG11_EAC;
        this.COMPRESSED_SRGB8_ALPHA8_ETC2_EAC =
            nativeInstance.COMPRESSED_SRGB8_ALPHA8_ETC2_EAC;
        this.COMPRESSED_SRGB8_ETC2 = nativeInstance.COMPRESSED_SRGB8_ETC2;
        this.COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2 =
            nativeInstance.COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2;
    }
    return WEBGL_compressed_texture_etc;
}());
exports.WEBGL_compressed_texture_etc = WEBGL_compressed_texture_etc;
var WEBGL_compressed_texture_etc1 = (function () {
    function WEBGL_compressed_texture_etc1(nativeInstance) {
        this.COMPRESSED_RGB_ETC1_WEBGL = nativeInstance.COMPRESSED_RGB_ETC1_WEBGL;
    }
    return WEBGL_compressed_texture_etc1;
}());
exports.WEBGL_compressed_texture_etc1 = WEBGL_compressed_texture_etc1;
var WEBGL_compressed_texture_pvrtc = (function () {
    function WEBGL_compressed_texture_pvrtc(nativeInstance) {
        this.COMPRESSED_RGBA_PVRTC_2BPPV1_IMG =
            nativeInstance.COMPRESSED_RGBA_PVRTC_2BPPV1_IMG;
        this.COMPRESSED_RGBA_PVRTC_4BPPV1_IMG =
            nativeInstance.COMPRESSED_RGBA_PVRTC_4BPPV1_IMG;
        this.COMPRESSED_RGB_PVRTC_2BPPV1_IMG =
            nativeInstance.COMPRESSED_RGB_PVRTC_2BPPV1_IMG;
        this.COMPRESSED_RGB_PVRTC_4BPPV1_IMG =
            nativeInstance.COMPRESSED_RGB_PVRTC_4BPPV1_IMG;
    }
    return WEBGL_compressed_texture_pvrtc;
}());
exports.WEBGL_compressed_texture_pvrtc = WEBGL_compressed_texture_pvrtc;
var WEBGL_depth_texture = (function () {
    function WEBGL_depth_texture(nativeInstance) {
        this.UNSIGNED_INT_24_8_WEBGL = nativeInstance.UNSIGNED_INT_24_8_WEBGL;
    }
    return WEBGL_depth_texture;
}());
exports.WEBGL_depth_texture = WEBGL_depth_texture;
var WEBGL_lose_context = (function () {
    function WEBGL_lose_context(nativeInstance) {
        this.nativeInstance = nativeInstance;
    }
    WEBGL_lose_context.prototype.loseContext = function () {
        this.nativeInstance.loseContext();
    };
    WEBGL_lose_context.prototype.restoreContext = function () {
        this.nativeInstance.restoreContext();
    };
    return WEBGL_lose_context;
}());
exports.WEBGL_lose_context = WEBGL_lose_context;
var EXT_disjoint_timer_query = (function () {
    function EXT_disjoint_timer_query(nativeInstance) {
        this.nativeInstance = nativeInstance;
        this.QUERY_COUNTER_BITS_EXT = nativeInstance.QUERY_COUNTER_BITS_EXT;
        this.CURRENT_QUERY_EXT = nativeInstance.CURRENT_QUERY_EXT;
        this.QUERY_RESULT_EXT = nativeInstance.QUERY_RESULT_EXT;
        this.QUERY_RESULT_AVAILABLE_EXT = nativeInstance.QUERY_RESULT_AVAILABLE_EXT;
        this.TIME_ELAPSED_EXT = nativeInstance.TIME_ELAPSED_EXT;
        this.TIMESTAMP_EXT = nativeInstance.TIMESTAMP_EXT;
        this.GPU_DISJOINT_EXT = nativeInstance.GPU_DISJOINT_EXT;
    }
    return EXT_disjoint_timer_query;
}());
exports.EXT_disjoint_timer_query = EXT_disjoint_timer_query;
var WEBGL_compressed_texture_atc = (function () {
    function WEBGL_compressed_texture_atc(nativeInstance) {
        this.COMPRESSED_RGB_ATC_WEBGL = nativeInstance.COMPRESSED_RGB_ATC_WEBGL;
        this.COMPRESSED_RGBA_ATC_EXPLICIT_ALPHA_WEBGL = nativeInstance.COMPRESSED_RGBA_ATC_EXPLICIT_ALPHA_WEBGL;
        this.COMPRESSED_RGBA_ATC_INTERPOLATED_ALPHA_WEBGL = nativeInstance.COMPRESSED_RGBA_ATC_INTERPOLATED_ALPHA_WEBGL;
    }
    return WEBGL_compressed_texture_atc;
}());
exports.WEBGL_compressed_texture_atc = WEBGL_compressed_texture_atc;
var WEBGL_compressed_texture_s3tc = (function () {
    function WEBGL_compressed_texture_s3tc(nativeInstance) {
        this.COMPRESSED_RGB_S3TC_DXT1_EXT = nativeInstance.COMPRESSED_RGB_S3TC_DXT1_EXT;
        this.COMPRESSED_RGBA_S3TC_DXT1_EXT = nativeInstance.COMPRESSED_RGBA_S3TC_DXT1_EXT;
        this.COMPRESSED_RGBA_S3TC_DXT3_EXT = nativeInstance.COMPRESSED_RGBA_S3TC_DXT3_EXT;
        this.COMPRESSED_RGBA_S3TC_DXT5_EXT = nativeInstance.COMPRESSED_RGBA_S3TC_DXT5_EXT;
    }
    return WEBGL_compressed_texture_s3tc;
}());
exports.WEBGL_compressed_texture_s3tc = WEBGL_compressed_texture_s3tc;
var WEBGL_compressed_texture_s3tc_srgb = (function () {
    function WEBGL_compressed_texture_s3tc_srgb(nativeInstance) {
        this.COMPRESSED_SRGB_S3TC_DXT1_EXT = nativeInstance.COMPRESSED_SRGB_S3TC_DXT1_EXT;
        this.COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT = nativeInstance.COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT;
        this.COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT = nativeInstance.COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT;
        this.COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT = nativeInstance.COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT;
    }
    return WEBGL_compressed_texture_s3tc_srgb;
}());
exports.WEBGL_compressed_texture_s3tc_srgb = WEBGL_compressed_texture_s3tc_srgb;
var WEBGL_draw_buffers = (function () {
    function WEBGL_draw_buffers(nativeInstance) {
        this.COLOR_ATTACHMENT0_WEBGL = nativeInstance.COLOR_ATTACHMENT0_EXT;
        this.COLOR_ATTACHMENT1_WEBGL = nativeInstance.COLOR_ATTACHMENT1_EXT;
        this.COLOR_ATTACHMENT2_WEBGL = nativeInstance.COLOR_ATTACHMENT2_EXT;
        this.COLOR_ATTACHMENT3_WEBGL = nativeInstance.COLOR_ATTACHMENT3_EXT;
        this.COLOR_ATTACHMENT4_WEBGL = nativeInstance.COLOR_ATTACHMENT4_EXT;
        this.COLOR_ATTACHMENT5_WEBGL = nativeInstance.COLOR_ATTACHMENT5_EXT;
        this.COLOR_ATTACHMENT6_WEBGL = nativeInstance.COLOR_ATTACHMENT6_EXT;
        this.COLOR_ATTACHMENT7_WEBGL = nativeInstance.COLOR_ATTACHMENT7_EXT;
        this.COLOR_ATTACHMENT8_WEBGL = nativeInstance.COLOR_ATTACHMENT8_EXT;
        this.COLOR_ATTACHMENT9_WEBGL = nativeInstance.COLOR_ATTACHMENT9_EXT;
        this.COLOR_ATTACHMENT10_WEBGL = nativeInstance.COLOR_ATTACHMENT10_EXT;
        this.COLOR_ATTACHMENT11_WEBGL = nativeInstance.COLOR_ATTACHMENT11_EXT;
        this.COLOR_ATTACHMENT12_WEBGL = nativeInstance.COLOR_ATTACHMENT12_EXT;
        this.COLOR_ATTACHMENT13_WEBGL = nativeInstance.COLOR_ATTACHMENT13_EXT;
        this.COLOR_ATTACHMENT14_WEBGL = nativeInstance.COLOR_ATTACHMENT14_EXT;
        this.COLOR_ATTACHMENT15_WEBGL = nativeInstance.COLOR_ATTACHMENT15_EXT;
        this.DRAW_BUFFER0_WEBGL = nativeInstance.DRAW_BUFFER0_EXT;
        this.DRAW_BUFFER1_WEBGL = nativeInstance.DRAW_BUFFER1_EXT;
        this.DRAW_BUFFER2_WEBGL = nativeInstance.DRAW_BUFFER2_EXT;
        this.DRAW_BUFFER3_WEBGL = nativeInstance.DRAW_BUFFER3_EXT;
        this.DRAW_BUFFER4_WEBGL = nativeInstance.DRAW_BUFFER4_EXT;
        this.DRAW_BUFFER5_WEBGL = nativeInstance.DRAW_BUFFER5_EXT;
        this.DRAW_BUFFER6_WEBGL = nativeInstance.DRAW_BUFFER6_EXT;
        this.DRAW_BUFFER7_WEBGL = nativeInstance.DRAW_BUFFER7_EXT;
        this.DRAW_BUFFER8_WEBGL = nativeInstance.DRAW_BUFFER8_EXT;
        this.DRAW_BUFFER9_WEBGL = nativeInstance.DRAW_BUFFER9_EXT;
        this.DRAW_BUFFER10_WEBGL = nativeInstance.DRAW_BUFFER10_EXT;
        this.DRAW_BUFFER11_WEBGL = nativeInstance.DRAW_BUFFER11_EXT;
        this.DRAW_BUFFER12_WEBGL = nativeInstance.DRAW_BUFFER12_EXT;
        this.DRAW_BUFFER13_WEBGL = nativeInstance.DRAW_BUFFER13_EXT;
        this.DRAW_BUFFER14_WEBGL = nativeInstance.DRAW_BUFFER14_EXT;
        this.DRAW_BUFFER15_WEBGL = nativeInstance.DRAW_BUFFER15_EXT;
        this.MAX_COLOR_ATTACHMENTS_WEBGL = nativeInstance.MAX_COLOR_ATTACHMENTS_EXT;
        this.MAX_DRAW_BUFFERS_WEBGL = nativeInstance.MAX_DRAW_BUFFERS_EXT;
    }
    WEBGL_draw_buffers.prototype.drawBuffersWEBGL = function (buffers) {
        this.nativeInstance.drawBuffersWEBGLWithBuffers(buffers);
    };
    return WEBGL_draw_buffers;
}());
exports.WEBGL_draw_buffers = WEBGL_draw_buffers;
//# sourceMappingURL=TNSWebGLExtensions.ios.js.map